> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fnskutoasin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Info Task



## OpenAPI

````yaml post /v2/InfoTask/Post
openapi: 3.0.0
info:
  title: ATO.BARCODE
  description: '<h4>Baseurl: <strong>https://ato.fnskutoasin.com</strong></h4>'
  version: 1.0.0
servers:
  - url: https://ato.fnskutoasin.com/api
security: []
paths:
  /v2/InfoTask/Post:
    post:
      tags:
        - InfoTask
      summary: Add Info Task
      operationId: InfoTask_Post2
      requestBody:
        x-name: command
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddInfoTasksV2Command'
        required: true
        x-position: 1
      responses:
        '200':
          description: Status 200 OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOfLong'
      security:
        - ApiKey: []
components:
  schemas:
    AddInfoTasksV2Command:
      type: object
      additionalProperties: false
      required:
        - mainCode
      properties:
        mainCode:
          type: string
          minLength: 1
        provider:
          $ref: '#/components/schemas/InfoTaskProvider'
        callBackUrl:
          type: string
          nullable: true
    ResultOfLong:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            data:
              type: integer
              format: int64
    InfoTaskProvider:
      type: integer
      description: |-
        0 = Amazon
        1 = Walmart
        2 = Homedepot
        3 = Target
      x-enumNames:
        - Amazon
        - Walmart
        - Homedepot
        - Target
      enum:
        - 0
        - 1
        - 2
        - 3
    Result:
      type: object
      additionalProperties: false
      properties:
        messages:
          type: array
          nullable: true
          items:
            type: string
        succeeded:
          type: boolean
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key

````